VPS侦探论坛

 找回密码
 注册
查看: 191|回复: 3

之前用1.0安装包搭建的环境,现在想升级,求指教

[复制链接]
发表于 2019-7-1 15:42:35 | 显示全部楼层 |阅读模式

小站以前是用1.0安装包安装了LNMPA,现在想升级mysql,但是1.0安装包里没有mysql升级程序,请问可以直接使用1.6的升级程序吗?
需不需要先执行upgrade1.x-1.6.sh再升级?因为我还想用1.6的一些功能。

我在临时服务器上测试的时候总是没法成功单独升级mysql,每次升级完mysql,php就挂掉了,必须再升级php。请问这个是必须升级配套还是我操作不对?
然后当我升级完php,mysql又挂掉了,无法启动,无法生成pid文件。看错误日志莫名其妙就好几个表损坏,虽然后来我找到了一些方法去解决,但是不太确定自己做的对不对。
是不是以前的安装包和后来的有些不兼容?所以这些错误都是必然会产生的?

另外我这种情况是不是干脆卸载环境重装会更方便点?(但是我在测试服务器上卸载环境的时候貌似卸不太干净,整个人都不好了)
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-7-1 20:43:15 | 显示全部楼层



1.1开始有的mysql升级脚本
升级mysql和php是没影响的,升级脚本升级时是会停掉php-fpm和nginx的
升级php也会停掉mysql,没有具体错误信息不好确定什么原因

这么大的版本差异,建议卸载后新装
但是得需要注意你系统版本,你以前是安装的lnmp 1.0,估计系统比较老了,有可能系统停止支持或者安装一些较新的php之类的版本可能会有问题
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-7-1 21:05:37 | 显示全部楼层



licess 发表于 2019-7-1 20:43
1.1开始有的mysql升级脚本
升级mysql和php是没影响的,升级脚本升级时是会停掉php-fpm和nginx的
升级php也 ...

好的,那我还是卸载重装会好一点。谢谢军哥。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-7-2 10:50:39 | 显示全部楼层



我每次都是全部重装  从系统到环境
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-9-20 10:22 , Processed in 0.043952 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表